/* Estilos exclusivos para formulários */
.container-form {
    background: rgba(255, 255, 255, 0.1);
    padding: 30px;
    border-radius: 10px;
    width: 100%;
    max-width: 500px;
    text-align: center;
    margin: 0 auto; /* Centraliza horizontalmente */
    margin-top: 50px; /* Adiciona margem no topo para espaçamento */
    margin-bottom: 50px; /* Adiciona margem no final para espaçamento */
    display: flex;
    flex-direction: column;
    justify-content: center;
    align-items: center;
}

.welcome-message {
    text-align: center;
    margin-bottom: 20px;
}

.welcome-message h2 {
    font-size: 2rem;
    margin-bottom: 10px;
}

.welcome-message p {
    font-size: 1.2rem;
}

/* Espaçamento entre campos do formulário */
form {
    display: flex;
    flex-direction: column;
    gap: 20px; /* Espaço entre os campos do formulário */
    width: 100%; /* Garante que o formulário ocupe toda a largura do container */
}

form label {
    text-align: left;
    font-size: 1rem;
    width: 100%;
}

form input {
    padding: 10px;
    border-radius: 5px;
    border: 1px solid #ccc;
    font-size: 1rem;
    width: 100%;
}

form input[type="checkbox"] {
    width: auto;
    margin-right: 10px;
}

form button {
    background-color: #F7C713 /*#0071ba #010080*/;
    color: white;
    padding: 15px;
    border-radius: 5px;
    border: none;
    font-size: 1.2rem;
    cursor: pointer;
    transition: background-color 0.3s;
}

form button:hover {
    background-color:#048900 /*#048900*/;
}



/* Botões de navegação */
.navigation-buttons {
    margin-top: 20px;
    display: flex;
    justify-content: space-between;
}

.navigation-buttons .button {
    background-color: #014775;/* #0071BA*/
    color: white;
    padding: 10px 20px;
    border-radius: 5px;
    text-decoration: none;
    font-size: 1rem;
    margin: 0 10px; /* Adiciona espaçamento entre os botões */
}

.navigation-buttons .button:hover {
    background-color: #005f99;
}
/* Formatação para os campos select */
select {
    padding: 10px;
    border-radius: 5px;
    border: 1px solid #ccc;
    font-size: 1rem;
    width: 100%;
    background-color: #fff; /* Cor de fundo do select */
    color: #333; /* Cor do texto dentro do select */
    appearance: none; /* Remove o estilo padrão do navegador */
    -webkit-appearance: none;
    -moz-appearance: none;
    outline: none;
    cursor: pointer;
}

/* Estilo para quando o select está em foco (quando clicado) */
select:focus {
    border-color: #0071ba; /* Cor da borda ao focar */
    box-shadow: 0 0 5px rgba(0, 113, 186, 0.5); /* Efeito de sombra ao focar */
}

/* Para alinhar o ícone de dropdown do select em navegadores */
select::-ms-expand {
    display: none; /* Remove o ícone padrão em navegadores como Internet Explorer */
}

/* Adiciona margem inferior para criar espaço entre os campos */
select + .form-group, 
input + .form-group {
    margin-top: 20px;
}


